# Visualization
TKService
WNT

# WNT_ColorTable Class Reference

`#include <WNT_ColorTable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WNT_ColorTable (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | WNT_ColorTable (const WNT_ColorRef &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const WNT_ColorRef &V)
Standard_EXPORT void | Destroy ()
| ~WNT_ColorTable ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const WNT_ColorTable & | Assign (const WNT_ColorTable &Other)
const WNT_ColorTable & | operator= (const WNT_ColorTable &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const WNT_ColorRef &Value)
const WNT_ColorRef & | Value (const Standard_Integer Index) const
const WNT_ColorRef & | operator() (const Standard_Integer Index) const
WNT_ColorRef & | ChangeValue (const Standard_Integer Index)
WNT_ColorRef & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | WNT_ColorTable (const WNT_ColorTable &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT WNT_ColorTable::WNT_ColorTable | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT WNT_ColorTable::WNT_ColorTable | ( | const WNT_ColorRef & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

WNT_ColorTable::~WNT_ColorTable | ( |  | ) | `[inline]`

Standard_EXPORT WNT_ColorTable::WNT_ColorTable | ( | const WNT_ColorTable & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const WNT_ColorTable& WNT_ColorTable::Assign | ( | const WNT_ColorTable & | Other | ) |

WNT_ColorRef& WNT_ColorTable::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void WNT_ColorTable::Destroy | ( |  | ) |

Standard_EXPORT void WNT_ColorTable::Init | ( | const WNT_ColorRef & | V | ) |

Standard_Boolean WNT_ColorTable::IsAllocated | ( |  | ) | const

Standard_Integer WNT_ColorTable::Length | ( |  | ) | const

Standard_Integer WNT_ColorTable::Lower | ( |  | ) | const

void WNT_ColorTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WNT_ColorTable::operator new | ( | size_t | size | ) | `[inline]`

void* WNT_ColorTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

WNT_ColorRef& WNT_ColorTable::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const WNT_ColorRef& WNT_ColorTable::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const WNT_ColorTable& WNT_ColorTable::operator= | ( | const WNT_ColorTable & | Other | ) | `[inline]`

void WNT_ColorTable::SetValue | ( | const Standard_Integer | Index,
|  | const WNT_ColorRef & | Value
| ) |

Standard_Integer WNT_ColorTable::Upper | ( |  | ) | const

const WNT_ColorRef& WNT_ColorTable::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean WNT_ColorTable::isAllocated `[private]`

Standard_Integer WNT_ColorTable::myLowerBound `[private]`

Standard_Address WNT_ColorTable::myStart `[private]`

Standard_Integer WNT_ColorTable::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- WNT_ColorTable.hxx